<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: json_reader_automatic_tests.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('json__reader__automatic__tests_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">json_reader_automatic_tests.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;json.hpp&quot;</code><br />
<code>#include &quot;<a class="el" href="json__reader_8hpp_source.html">json_reader.hpp</a>&quot;</code><br />
<code>#include &lt;exception&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;stdexcept&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for json_reader_automatic_tests.cpp:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="json__reader__automatic__tests_8cpp__incl.svg" width="3244" height="887"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaReaderTest.html">MediaReaderTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:addb5c22ec5a00c4ed53db12db53aa55e"><td class="memItemLeft" align="right" valign="top"><a id="addb5c22ec5a00c4ed53db12db53aa55e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (general_tools, ReadBasicJson)</td></tr>
<tr class="separator:addb5c22ec5a00c4ed53db12db53aa55e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd917f876f229ccb7fe46f25aeef94f8"><td class="memItemLeft" align="right" valign="top"><a id="abd917f876f229ccb7fe46f25aeef94f8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST_F</b> (<a class="el" href="classMediaReaderTest.html">MediaReaderTest</a>, set_file)</td></tr>
<tr class="separator:abd917f876f229ccb7fe46f25aeef94f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b9bbdcb7e67c0ff4f32dc4e9cc97170"><td class="memItemLeft" align="right" valign="top"><a id="a1b9bbdcb7e67c0ff4f32dc4e9cc97170"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST_F</b> (<a class="el" href="classMediaReaderTest.html">MediaReaderTest</a>, contains_value)</td></tr>
<tr class="separator:a1b9bbdcb7e67c0ff4f32dc4e9cc97170"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a55b96f8566bfe631d31e1715cb41a"><td class="memItemLeft" align="right" valign="top"><a id="a80a55b96f8566bfe631d31e1715cb41a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST_F</b> (<a class="el" href="classMediaReaderTest.html">MediaReaderTest</a>, is_empty)</td></tr>
<tr class="separator:a80a55b96f8566bfe631d31e1715cb41a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62402ddbf4269c479008bc46571a3366"><td class="memItemLeft" align="right" valign="top"><a id="a62402ddbf4269c479008bc46571a3366"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST_F</b> (<a class="el" href="classMediaReaderTest.html">MediaReaderTest</a>, get_path)</td></tr>
<tr class="separator:a62402ddbf4269c479008bc46571a3366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb6b5bde2891c4b76f9b0aec74945b56"><td class="memItemLeft" align="right" valign="top"><a id="adb6b5bde2891c4b76f9b0aec74945b56"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST_F</b> (<a class="el" href="classMediaReaderTest.html">MediaReaderTest</a>, get_identifier)</td></tr>
<tr class="separator:adb6b5bde2891c4b76f9b0aec74945b56"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section author"><dt>Author</dt><dd>Leena Jamil </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2022-01-12</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2022 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_d88d79efde80b6be31bde64d01fcf743.html">general_tools</a></li><li class="navelem"><a class="el" href="dir_2d3a4c2c1c598dee72ec5d7c1451157c.html">test</a></li><li class="navelem"><a class="el" href="json__reader__automatic__tests_8cpp.html">json_reader_automatic_tests.cpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
